<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>IvyPluginRepository (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="IvyPluginRepository (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/plugin/repository/GradlePluginPortal.html" title="interface in org.gradle.plugin.repository"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/plugin/repository/MavenPluginRepository.html" title="interface in org.gradle.plugin.repository"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/plugin/repository/IvyPluginRepository.html" target="_top">Frames</a></li>
<li><a href="IvyPluginRepository.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugin.repository</div>
<h2 title="Interface IvyPluginRepository" class="title">Interface IvyPluginRepository</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/artifacts/repositories/AuthenticationSupported.html" title="interface in org.gradle.api.artifacts.repositories">AuthenticationSupported</a>, <a href="../../../../org/gradle/plugin/repository/PluginRepository.html" title="interface in org.gradle.plugin.repository">PluginRepository</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">IvyPluginRepository</span>
extends <a href="../../../../org/gradle/plugin/repository/PluginRepository.html" title="interface in org.gradle.plugin.repository">PluginRepository</a>, <a href="../../../../org/gradle/api/artifacts/repositories/AuthenticationSupported.html" title="interface in org.gradle.api.artifacts.repositories">AuthenticationSupported</a></pre>
<div class="block">Represents an Ivy repository which contains Gradle plugins.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html#artifactPattern(java.lang.String)">artifactPattern</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pattern)</code>
<div class="block">Adds an independent pattern that will be used to locate artifact files in this repository.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/net/URI.html?is-external=true" title="class or interface in java.net">URI</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html#getUrl()">getUrl</a></strong>()</code>
<div class="block">The base URL of this repository.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html#ivyPattern(java.lang.String)">ivyPattern</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pattern)</code>
<div class="block">Adds an independent pattern that will be used to locate ivy files in this repository.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html#layout(java.lang.String)">layout</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;layoutName)</code>
<div class="block">Specifies the layout to use with this repository, based on the root url.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html#layout(java.lang.String,%20org.gradle.api.Action)">layout</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;layoutName,
      <a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? extends <a href="../../../../org/gradle/api/artifacts/repositories/RepositoryLayout.html" title="interface in org.gradle.api.artifacts.repositories">RepositoryLayout</a>&gt;&nbsp;config)</code>
<div class="block">Specifies how the items of the repository are organized.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html#setUrl(java.lang.Object)">setUrl</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;url)</code>
<div class="block">Sets the base URL of this repository.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html#setUrl(java.net.URI)">setUrl</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/net/URI.html?is-external=true" title="class or interface in java.net">URI</a>&nbsp;url)</code>
<div class="block">Sets the base URL of this repository.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.artifacts.repositories.AuthenticationSupported">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.artifacts.repositories.<a href="../../../../org/gradle/api/artifacts/repositories/AuthenticationSupported.html" title="interface in org.gradle.api.artifacts.repositories">AuthenticationSupported</a></h3>
<code><a href="../../../../org/gradle/api/artifacts/repositories/AuthenticationSupported.html#authentication(org.gradle.api.Action)">authentication</a>, <a href="../../../../org/gradle/api/artifacts/repositories/AuthenticationSupported.html#credentials(org.gradle.api.Action)">credentials</a>, <a href="../../../../org/gradle/api/artifacts/repositories/AuthenticationSupported.html#credentials(java.lang.Class,%20org.gradle.api.Action)">credentials</a>, <a href="../../../../org/gradle/api/artifacts/repositories/AuthenticationSupported.html#getAuthentication()">getAuthentication</a>, <a href="../../../../org/gradle/api/artifacts/repositories/AuthenticationSupported.html#getCredentials()">getCredentials</a>, <a href="../../../../org/gradle/api/artifacts/repositories/AuthenticationSupported.html#getCredentials(java.lang.Class)">getCredentials</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getUrl()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUrl</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/net/URI.html?is-external=true" title="class or interface in java.net">URI</a>&nbsp;getUrl()</pre>
<div class="block">The base URL of this repository. This URL is used to find Gradle plugins.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The URL.</dd></dl>
</li>
</ul>
<a name="setUrl(java.net.URI)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUrl</h4>
<pre>void&nbsp;setUrl(<a href="https://docs.oracle.com/javase/7/docs/api/java/net/URI.html?is-external=true" title="class or interface in java.net">URI</a>&nbsp;url)</pre>
<div class="block">Sets the base URL of this repository.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>url</code> - The base URL.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setUrl(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUrl</h4>
<pre>void&nbsp;setUrl(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;url)</pre>
<div class="block">Sets the base URL of this repository. This URL is used to find Gradle plugins.

 <p>The provided value is evaluated relative to the build's directory. This
 means, for example, you can pass in a <code>File</code> object, or a relative path to be
 evaluated relative to the directory of the <code>settings.gradle</code> file in which this
 repository is declared.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>url</code> - The base URL.</dd></dl>
</li>
</ul>
<a name="artifactPattern(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>artifactPattern</h4>
<pre>void&nbsp;artifactPattern(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pattern)</pre>
<div class="block">Adds an independent pattern that will be used to locate artifact files in this repository. This pattern will be used to locate ivy files as well, unless a specific
 ivy pattern is supplied via <a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html#ivyPattern(java.lang.String)"><code>ivyPattern(String)</code></a>.

 If this pattern is not a fully-qualified URL, it will be interpreted as a file relative to the project directory.
 It is not interpreted relative the URL specified in <a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html#setUrl(java.lang.Object)"><code>setUrl(Object)</code></a>.

 Patterns added in this way will be in addition to any layout-based patterns added via <a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html#setUrl(java.net.URI)"><code>setUrl(java.net.URI)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>pattern</code> - The artifact pattern.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="ivyPattern(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ivyPattern</h4>
<pre>void&nbsp;ivyPattern(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pattern)</pre>
<div class="block">Adds an independent pattern that will be used to locate ivy files in this repository.

 If this pattern is not a fully-qualified URL, it will be interpreted as a file relative to the project directory.
 It is not interpreted relative the URL specified in <a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html#setUrl(java.lang.Object)"><code>setUrl(Object)</code></a>.

 Patterns added in this way will be in addition to any layout-based patterns added via <a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html#setUrl(java.net.URI)"><code>setUrl(java.net.URI)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>pattern</code> - The ivy pattern.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="layout(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>layout</h4>
<pre>void&nbsp;layout(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;layoutName)</pre>
<div class="block">Specifies the layout to use with this repository, based on the root url.
 See <a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html#layout(java.lang.String,%20org.gradle.api.Action)"><code>layout(String, Action)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>layoutName</code> - The name of the layout to use.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="layout(java.lang.String, org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>layout</h4>
<pre>void&nbsp;layout(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;layoutName,
          <a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? extends <a href="../../../../org/gradle/api/artifacts/repositories/RepositoryLayout.html" title="interface in org.gradle.api.artifacts.repositories">RepositoryLayout</a>&gt;&nbsp;config)</pre>
<div class="block">Specifies how the items of the repository are organized.
 <p>
 The layout is configured with the supplied closure.
 <p>
 Recognised values are as follows:
 </p>
 <h4>'gradle'</h4>
 <p>
 A Repository Layout that applies the following patterns:
 </p>
 <ul>
     <li>Artifacts: <code>$baseUri/<a href="../../../../org/gradle/api/artifacts/repositories/IvyArtifactRepository.html#GRADLE_ARTIFACT_PATTERN">"[organisation]/[module]/[revision]/[artifact]-[revision](-[classifier])(.[ext])"</a></code></li>
     <li>Ivy: <code>$baseUri/<a href="../../../../org/gradle/api/artifacts/repositories/IvyArtifactRepository.html#GRADLE_IVY_PATTERN">"[organisation]/[module]/[revision]/ivy-[revision].xml"</a></code></li>
 </ul>
 <h4>'maven'</h4>
 <p>
 A Repository Layout that applies the following patterns:
 </p>
 <ul>
     <li>Artifacts: <code>$baseUri/<a href="../../../../org/gradle/api/artifacts/repositories/IvyArtifactRepository.html#MAVEN_ARTIFACT_PATTERN">"[organisation]/[module]/[revision]/[artifact]-[revision](-[classifier])(.[ext])"</a></code></li>
     <li>Ivy: <code>$baseUri/<a href="../../../../org/gradle/api/artifacts/repositories/IvyArtifactRepository.html#MAVEN_IVY_PATTERN">"[organisation]/[module]/[revision]/ivy-[revision].xml"</a></code></li>
 </ul>
 <p>
 Following the Maven convention, the 'organisation' value is further processed by replacing '.' with '/'.
 </p>
 <h4>'ivy'</h4>
 <p>
 A Repository Layout that applies the following patterns:
 </p>
 <ul>
     <li>Artifacts: <code>$baseUri/<a href="../../../../org/gradle/api/artifacts/repositories/IvyArtifactRepository.html#IVY_ARTIFACT_PATTERN">"[organisation]/[module]/[revision]/[type]s/[artifact](.[ext])"</a></code></li>
     <li>Ivy: <code>$baseUri/<a href="../../../../org/gradle/api/artifacts/repositories/IvyArtifactRepository.html#IVY_ARTIFACT_PATTERN">"[organisation]/[module]/[revision]/[type]s/[artifact](.[ext])"</a></code></li>
 </ul>
 <h4>'pattern'</h4>
 <p>
 A repository layout that allows custom patterns to be defined. eg:
 </p>
 <pre>
 repositories {
     ivy {
         layout 'pattern' , {
             artifact '[module]/[revision]/[artifact](.[ext])'
             ivy '[module]/[revision]/ivy.xml'
         }
     }
 }
 </pre>
 <p>The available pattern tokens are listed as part of <a href="http://ant.apache.org/ivy/history/latest-milestone/concept.html#patterns">Ivy's Main Concepts documentation</a>.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>layoutName</code> - The name of the layout to use.</dd><dd><code>config</code> - The action used to configure the layout.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/plugin/repository/GradlePluginPortal.html" title="interface in org.gradle.plugin.repository"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/plugin/repository/MavenPluginRepository.html" title="interface in org.gradle.plugin.repository"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/plugin/repository/IvyPluginRepository.html" target="_top">Frames</a></li>
<li><a href="IvyPluginRepository.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
